> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India Judgment Courts



## OpenAPI

````yaml /openapi.json get /india/judgments/courts
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/judgments/courts:
    get:
      tags:
        - India · Judgments
      summary: India Judgment Courts
      operationId: india_judgment_courts_india_judgments_courts_get
      parameters:
        - name: court_level
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Court Level
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoriesResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    CategoriesResponse:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/CategoryFacet'
          type: array
          title: Categories
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - categories
        - meta
      title: CategoriesResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    CategoryFacet:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        court:
          anyOf:
            - type: string
            - type: 'null'
          title: Court
        court_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Level
        count:
          type: integer
          title: Count
      type: object
      required:
        - count
      title: CategoryFacet
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````